/*
 * This file is automatically generated by the build system of 
 *
 * Automatically generated files do not have a copyright
 */

#ifndef RMF_API_MSGS__SCHEMAS__ESTIMATE_ROBOT_TASK_REQUEST
#define RMF_API_MSGS__SCHEMAS__ESTIMATE_ROBOT_TASK_REQUEST

#include <nlohmann/json.hpp>

namespace rmf_api_msgs {
namespace schemas {

static const nlohmann::json estimate_robot_task_request =
R"raw_schema(
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://raw.githubusercontent.com/open-rmf/rmf_api_msgs/main/rmf_api_msgs/schemas/estimate_robot_task_request.json",
  "title": "Estimate Robot Task Request",
  "description": "Request to estimate a task for specific robot",
  "type": "object",
  "properties": {
    "type": {
      "description": "Indicate that this is a estimate robot task request",
      "type": "string",
      "constant": "estimate_robot_task_request"
    },
    "robot": {
      "description": "The name of the robot",
      "type": "string"
    },
    "fleet": {
      "description": "The fleet the robot belongs to",
      "type": "string"
    },
    "initial_state": {
      "description": "If not provided, end state of robot's direct task requests will be used by planner.",
      "$ref": "#/$defs/state"
    },
    "request": {"$ref": "task_request.json"}
  },
  "required": ["type", "robot", "fleet", "request"],
  "$defs": {
    "state": {
      "description": "State of the robot",
      "type": "object",
      "properties": {
        "waypoint": {
          "description": "RMF navigation graph waypoint index",
          "type": "integer"
        },
        "orientation": {
          "description": "Orientation of the robot in radians.",
          "type": "number"
        },
        "battery_soc": {
          "description": "Battery percentage of the robot.",
          "type": "number"
        },
        "time": {
          "description": "Unix time from epoch in milliseconds.",
          "type": "integer"
        }
      },
      "required": ["waypoint", "orientation", "battery_soc"]
    }
  }
}
)raw_schema"_json;

} // namespace schemas
} // namespace rmf_api_msgs

#endif // RMF_API_MSGS__SCHEMAS__ESTIMATE_ROBOT_TASK_REQUEST
