/*
 * This file is automatically generated by the build system of 
 *
 * Automatically generated files do not have a copyright
 */

#ifndef RMF_API_MSGS__SCHEMAS__TASK_ESTIMATE_RESULT
#define RMF_API_MSGS__SCHEMAS__TASK_ESTIMATE_RESULT

#include <nlohmann/json.hpp>

namespace rmf_api_msgs {
namespace schemas {

static const nlohmann::json task_estimate_result =
R"raw_schema(
{
    "$schema": "https://json-schema.org/draft/2020-12/schema",
    "$id": "https://raw.githubusercontent.com/open-rmf/rmf_api_msgs/main/rmf_api_msgs/schemas/task_estimate_result.json",
    "title": "Task Estimate Result",
    "description": "Result for a task estimate request",
    "type": "object",
    "properties": {
      "deployment_time": {
        "description": "Time task can be deployeed in unix time milliseconds",
        "type": "integer"
      },
      "finish_time": {
        "description": "Time the task is estimated to finish in unix time milliseconds",
        "type": "integer"
      },
      "duration": {
        "description": "The estimated duration of the task in milliseconds",
        "type": "integer"
      },
      "state": {"$ref": "#/$defs/state"}
    },
    "required": ["deployment_time", "finish_time", "duration", "state"],
    "$defs": {
      "state": {
        "description": "State of the robot",
        "type": "object",
        "properties": {
          "waypoint": {
            "description": "RMF navigation graph waypoint index",
            "type": "integer"
          },
          "orientation": {
            "description": "Orientation of the robot in radians.",
            "type": "number"
          },
          "battery_soc": {
            "description": "Battery percentage of the robot.",
            "type": "number"
          },
          "time": {
            "description": "Unix time from epoch in milliseconds.",
            "type": "integer"
          }
        },
        "required": ["waypoint", "orientation", "battery_soc"]
      }
    }
  }
)raw_schema"_json;

} // namespace schemas
} // namespace rmf_api_msgs

#endif // RMF_API_MSGS__SCHEMAS__TASK_ESTIMATE_RESULT
